curl --request POST \
--url https://api.example.com/api/v1/organisation/{id}/score/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": 0,
"size": 10,
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timeseries": [
{
"from": 1,
"to": 1
}
],
"trackTotalCount": 10000,
"sort": [
{
"field": "timestamp",
"mode": "Min",
"order": "Asc"
}
]
}
'{
"data": [
{
"uid": "<string>",
"index": "<string>",
"timestamp": 123,
"i": 123,
"type": "<string>",
"organisationId": 123,
"licenseId": 123,
"licenseInstanceId": 123,
"tenantId": 123,
"projectId": 123,
"contractId": 123,
"txHash": "<string>",
"detectorSchemaName": "<string>",
"alertId": "<string>",
"monitorId": "<string>",
"alertName": "<string>",
"alertMessage": "<string>",
"numericSeverity": 123,
"severity": "<string>",
"tags": [
"<string>"
],
"meta": {},
"scoreGroup": "<string>",
"score": 123,
"scoreChange": 123,
"key": "<string>",
"value": 123
}
],
"total": 123
}Search by params from response dto
curl --request POST \
--url https://api.example.com/api/v1/organisation/{id}/score/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": 0,
"size": 10,
"query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
"timeseries": [
{
"from": 1,
"to": 1
}
],
"trackTotalCount": 10000,
"sort": [
{
"field": "timestamp",
"mode": "Min",
"order": "Asc"
}
]
}
'{
"data": [
{
"uid": "<string>",
"index": "<string>",
"timestamp": 123,
"i": 123,
"type": "<string>",
"organisationId": 123,
"licenseId": 123,
"licenseInstanceId": 123,
"tenantId": 123,
"projectId": 123,
"contractId": 123,
"txHash": "<string>",
"detectorSchemaName": "<string>",
"alertId": "<string>",
"monitorId": "<string>",
"alertName": "<string>",
"alertMessage": "<string>",
"numericSeverity": 123,
"severity": "<string>",
"tags": [
"<string>"
],
"meta": {},
"scoreGroup": "<string>",
"score": 123,
"scoreChange": 123,
"key": "<string>",
"value": 123
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Starting document offset
x >= 00
The number of hits to return
0 <= x <= 1000010
Query string according to https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html with Default: auto_generate_synonyms_phrase_query=false, fuzzy_max_expansions=0, fuzzy_transpositions=false
"address:0xdAC17F958D2ee523a2206206994597C13D831ec7"
Timestamp ranges for search indices calculation
1Show child attributes
Return total results up to 'count' value. If 0, then total tracking is disabled and return total=0
Sorting for the search
1Show child attributes